import request from '/@/utils/request';
import type { ListStatInfoParamsParams } from './type';

export interface ListPBSDetailsParams {
	clientCode: string;
	date1: string;
	date2: string;
	patientCode: string;
	报销方式: string;
	患者诊断?: string;
	itemName: string;
	timeSlot: number;
	page: number;
	size: number;
	itemCode: string;
	billSetStatus: string;
}

export function doListResultsGroupByMonth(params: object) {
	return request({
		url: '/lis/stat/doListResultsGroupByMonth',
		method: 'post',
		data: params,
	});
}

/**
 * 处方查询
 * @param params 
 * @returns 
 */
export function listPBSDetailsApi(params: Partial<ListPBSDetailsParams>) {
	return request({
		url: '/patient/bill/set/info/listPBSDetails',
		method: 'post',
		headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params: params
	})
}


/**
 * 药剂统计
 * @param params 
 * @returns 
 */
export function listStatInfoParams(params: ListStatInfoParamsParams) {
	return request({
		url: '/patient/bill/set/info/listStatInfo',
		method: 'post',
		headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params: params
	})
}


